<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="todo-app">
  <template>
    <style>
      :host {
        display: block;
        font-family: sans-serif;
        text-align: center;
      }

      button {
        border: none;
        cursor: pointer;
      }

      ul {
        list-style: none;
        padding: 0;
      }
    </style>
    <h1>To do</h1>
    <input type="text" placeholder="Add a new to do" value="{{valorEscrito::change}}"></input>
    <button on-click="addToList">✅</button>
    <ul id="todos"></ul>
  </template>

  <script>
    class TodoApp extends Polymer.Element {
      static get is() { return 'todo-app'; }
      static get properties() {
        return {
          valorEscrito: {
            type: String,
            notify: true
          },
        };
      }
      constructor() {
        super();
      }

      connectedCallback(){
        super.connectedCallback();
      }
    
      deleteToList(e){
        e.target.parentNode.remove(e.target.parentNode);
      }

      addToList() {
        let li = document.createElement('li'),
            button = document.createElement('button');
        button.textContent = `✅`;
        button.addEventListener('click', this.deleteToList);
        console.log(this.valorEscrito);
        li.textContent = this.valorEscrito;
        li.appendChild(button);
        this.valorEscrito = '';
        Polymer.dom(this.$.todos).appendChild(li);
      }

    }

    window.customElements.define(TodoApp.is, TodoApp);
  </script>
</dom-module>
